<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="horizontal"
    android:layout_marginTop="10dp"
    android:layout_marginLeft="10dp"
    android:layout_marginRight="10dp"
    android:background="@drawable/bg_object_item"
    android:weightSum="6">

    <LinearLayout
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        android:layout_weight="4">

        <ViewSwitcher xmlns:android="http://schemas.android.com/apk/res/android"
            android:id="@+id/switcher_object"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content">

            <TextView
                android:id="@+id/text_view_name"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="object" />

            <EditText
                android:id="@+id/edit_text_name"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:hint="modifier nom"
                android:textAppearance="?android:attr/textAppearanceSmallInverse"/>
        </ViewSwitcher>

        <TextView
            android:id="@+id/object_type"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:text="object Type" />

    </LinearLayout>

    <ImageView
        android:id="@+id/modify_object"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_gravity="right"
        android:layout_weight="1"
        android:src="@drawable/ic_edit" />

    <ImageView
        android:id="@+id/delete_object"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_gravity="right"
        android:layout_weight="1"
        android:src="@drawable/ic_delete" />

</LinearLayout><!-- From: file:/D:/Mes%20documents/Aymen/Freelance/smart%20house/SmartHouse/app/src/main/res/layout/list_object_row.xml -->